--GROUP_ROSTER_UPDATE
function(e)
	local r = "raid"
	if IsInRaid() == false then
		r = "party"
	end
	for i = 1, GetNumGroupMembers() do
		local n = r .. i
		local pname = UnitName(n)
		local gname = GetGuildInfo(n)
		local grank = select(3, GetGuildInfo(n))
		--print(pname, gname, grank)
		if not aura_env.playerList[pname] then
			aura_env.playerList[pname] = {
				["guild"] = gname,
				["rank"] = grank,
			}
		end
	end
	DevTools_Dump(aura_env.playerList)
	table.sort(aura_env.playerList)
	DevTools_Dump(aura_env.playerList)
	return true
end

--DISPLAY
function()
	local output = ""
	for k,v in pairs(aura_env.playerList) do
		output = k .. " " 
		if v.guild then
			output = output .. v.guild .. " " .. v.rank .. "\n"
		end
	end
	return output
end

--INIT
aura_env.playerList = {}